Feeef Cloud
ApiParcels

List parcels

GET
/parcels
AuthorizationBearer <token>

Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.

In: header

Query Parameters

status?string

Value in

  • "created"
  • "submitted"
  • "picked_up"
  • "in_transit"
  • "out_for_delivery"
  • "delivered"
  • "returned"
  • "cancelled"
  • "failed"
  • "unknown"
courier?string
carrier?string
stateCode?string
deliveryType?string

Value in

  • "home"
  • "stopdesk"
createdAfter?string
createdBefore?string
q?string
tenantId?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range0 < value <= 200
Default50
cursor?string|null

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/parcels"
{  "data": [    {      "id": "string",      "tenantId": -9007199254740991,      "reference": "string",      "status": "created",      "carrierAccountId": "string",      "courierId": "string",      "trackingId": "string",      "batchId": "string",      "recipient": {        "name": "string",        "phone": "string",        "phoneAlt": "string"      },      "destination": {        "country": "string",        "stateCode": "string",        "cityName": "string",        "address": "string",        "deliveryType": "home",        "pickupId": "string",        "resolved": {          "method": "string",          "confidence": 0        }      },      "codAmount": 0,      "weightKg": 0,      "dimensions": {        "property1": null,        "property2": null      },      "contents": "string",      "notes": "string",      "deliveryAttempts": 0,      "metadata": {        "property1": null,        "property2": null      },      "createdAt": "string",      "updatedAt": "string",      "submittedAt": "string",      "deliveredAt": "string",      "returnedAt": "string",      "cancelledAt": "string"    }  ],  "meta": {    "nextCursor": "string"  }}